## flask-ldapconn 0.10.1

=== requirements.txt ===
six>=1.10
Flask>=0.12
ldap3>=2.3

## flask-ldapconn 0.7.1

=== debian/changelog ===
flask-ldapconn (0.7.1-1) unstable; urgency=medium

  [ Dominik George ]
  * Fix typo in watch file.
  * New upstream release.
    + Upload is now signed.
    + More modern dependencies. (Closes: #867558)
  * Update my mail address in Uploaders.
  * Bump Standards-Version and compat level.
    + No changes needed.
  * Drop Python 2 build.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol

 -- Dominik George <natureshadow@debian.org>  Sat, 31 Mar 2018 22:23:03 +0200

flask-ldapconn (0.6.13-1) unstable; urgency=low

  * Initial packaging of upstream release. (Closes: #833922)

 -- Dominik George <nik@naturalnet.de>  Sat, 29 Apr 2017 15:58:29 +0200

=== debian/control ===
Source: flask-ldapconn
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Dominik George <natureshadow@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python3-all,
 python3-flask (>= 0.12~),
 python3-ldap3 (>= 2.3~),
 python3-setuptools,
 python3-six (>= 1.10~),
Standards-Version: 4.1.3
Homepage: https://github.com/rroemhild/flask-ldapconn
Testsuite: autopkgtest-pkg-python
Vcs-Git: https://salsa.debian.org/python-team/modules/flask-ldapconn.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/flask-ldapconn

Package: python3-flask-ldapconn
Architecture: all
Depends:
 python3-flask,
 ${misc:Depends},
 ${python3:Depends},
Description: LDAP connection and ORM for Flask Applications (Python 3)
 Flask-LDAPConn is a Flask extension providing ldap3 (an LDAP V3 pure Python
 client) connection for accessing LDAP servers.
 .
 To abstract access to LDAP data, this extension provides a simple ORM model.
 .
 This package contains the Python 3 version of the module.

## flask-ldapconn 0.7.2

=== debian/changelog ===
flask-ldapconn (0.7.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper from old 12 to 13.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-flask, python3-ldap3
      and python3-six.

 -- Sandro Tosi <morph@debian.org>  Wed, 08 Jun 2022 22:02:16 -0400

flask-ldapconn (0.7.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Dominik George ]
  * Add mising copyright holder (myself) to d/copyright.
  * New upstream version.
  * Bump Standards-Version, no changes needed.

 -- Dominik George <natureshadow@debian.org>  Fri, 26 Oct 2018 19:27:28 +0200

=== debian/control ===
Source: flask-ldapconn
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Dominik George <natureshadow@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-flask,
 python3-ldap3,
 python3-setuptools,
 python3-six,
Standards-Version: 4.1.4
Homepage: https://github.com/rroemhild/flask-ldapconn
Testsuite: autopkgtest-pkg-python
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-ldapconn.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-ldapconn

Package: python3-flask-ldapconn
Architecture: all
Depends:
 python3-flask,
 ${misc:Depends},
 ${python3:Depends},
Description: LDAP connection and ORM for Flask Applications (Python 3)
 Flask-LDAPConn is a Flask extension providing ldap3 (an LDAP V3 pure Python
 client) connection for accessing LDAP servers.
 .
 To abstract access to LDAP data, this extension provides a simple ORM model.
 .
 This package contains the Python 3 version of the module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flask-ldapconn

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
# please also check https://pypi.debian.net/Flask-LDAPConn/watch
version=3
opts="uversionmangle=s/(rc|a|b|c)/~$1/,pgpmode=auto" \
https://pypi.debian.net/Flask-LDAPConn/Flask-LDAPConn-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## flask-ldapconn 0.10.1

=== debian/changelog ===
flask-ldapconn (0.10.1-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Update standards version to 4.1.5, no changes needed.

  [ Carsten Schoenert ]
  * [f6b5cb0] d/gbp.conf: Add some default settings
  * [13693ea] d/watch: Move to version 4 and git mode on GitHub
  * [c0d584f] New upstream version 0.10.1
  * [31a4ad7] Rebuild patch queue from patch queue branch
    Added patches:
    Replace-deprecated-_app_ctx_stack-with-g-in-app-init.patch
    remove-dependency-on-deprecated-python3-six.patch
    Renamed patch:
    0001-Remove-tracking-images-from-README.patch
    -> debian/patches/Remove-tracking-images-from-README.patch
  * [a1c9913] d/control: Adjust B-D and add BuildProfileSpecs
  * [7c31268] d/rules: Drop --with option from default target
  * [e41c502] d/control: Drop unneeded dep on python3-flask in bin package
  * [e97f712] d/control: Bump Standards-Version to 4.6.2
    No further changes needed.
  * [1c4c106] d/watch: Drop key usage for tarball verifying

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 29 Dec 2023 16:46:44 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-flask,
- python3-ldap3,
+ python3-flask <!nocheck>,
+ python3-ldap3 <!nocheck>,
  python3-setuptools,
- python3-six,
-Standards-Version: 4.1.4
+Standards-Version: 4.6.2
 Homepage: https://github.com/rroemhild/flask-ldapconn
 Testsuite: autopkgtest-pkg-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/flask-ldapconn.git
@@ -21,7 +21,6 @@
 Package: python3-flask-ldapconn
 Architecture: all
 Depends:
- python3-flask,
  ${misc:Depends},
  ${python3:Depends},
 Description: LDAP connection and ORM for Flask Applications (Python 3)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=flask-ldapconn

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/rroemhild/flask-ldapconn.git \
      refs/tags/@ANY_VERSION@

## flask-ldapconn 0.10.2

=== requirements.txt ===
Flask>=0.12
ldap3>=2.3

=== debian/changelog ===
flask-ldapconn (0.10.2-1) unstable; urgency=medium

  * [b690b0c] New upstream version 0.10.2
  * [9991b34] Rebuild patch queue from patch queue branch
    Deleted patches (included upstream):
    Replace-deprecated-_app_ctx_stack-with-g-in-app-init.patch
    remove-dependency-on-deprecated-python3-six.patch
  * [bf3d0db] d/control: Bump Standards-Version to 4.7.0
    No further changes needed.
  * [d45d92f] d/control: Add myself to Uploaders
  * [020e3c1] d/control: Adding entry Rules-Requires-Root: no
    This package needs no root rights while building.

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Thu, 27 Jun 2024 13:39:03 +0530

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Dominik George <natureshadow@debian.org>,
+ Kathara Sasikumar <katharasasikumar007@gmail.com>,
 Section: python
 Priority: optional
 Build-Depends:
@@ -12,7 +13,8 @@
  python3-flask <!nocheck>,
  python3-ldap3 <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Homepage: https://github.com/rroemhild/flask-ldapconn
 Testsuite: autopkgtest-pkg-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/flask-ldapconn.git
